org.apache.jmeter.reporters

## Class ResultCollectorHelper

- java.lang.Object
- - org.apache.jmeter.reporters.ResultCollectorHelper

-     public class ResultCollectorHelper
      extends java.lang.Object

  Helper class to allow TestResultWrapperConverter to send samples directly to the visualiser if required.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultCollectorHelper(ResultCollector resultCollector, Visualizer visualizer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SampleResult sample)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultCollectorHelper

          public ResultCollectorHelper(ResultCollector resultCollector,
                                       Visualizer visualizer)

  - ### Method Detail

    - #### add

          public void add(SampleResult sample)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.